<?
include("../Librerias/ConfNivel2.inc");
$Nivel=$_Nivel2;
$ObjSesion=new Sesiones();               ///Clase Sesión
$ObjSesion->MVerifica($Nivel);
$Conexion=new DBAccess();
$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);
/*Obtenemos los valor por post*/
$tags2 = array_keys($_POST); // obtiene los nombres de las variables
$valores2 = array_values($_POST);// obtiene los valores de las variables
$i=0;
foreach ($_POST as $valores){
 ${$tags2[$i]}=$valores;
 $i++;	
}
///Datos de la acción
$Fecha=date("Y-m-d");
$Hora=date("H:i:s");
$Ip=$HTTP_X_FORWARDED_FOR;
if ($Ip=='')  $Ip=$REMOTE_ADDR;
if ($Accion=='Guardar'){
    $Consulta="insert into videos(IdCanto,Interprete,Link,Comentario, Servidor) values ($IdCanto,'$Interprete','$Link','$Comentario',$Servidor)";
    $Conexion->MEjecutarSQL($Consulta);
    echo "-->".$Consulta;
    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM videos ORDER BY IdVideo DESC LIMIT 1");
    ///Consulta para Obtener Id de los datos almacenados
    $DescripcionAccion="INGRESÓ VIDEO INTERPRETADO POR : $RowInsertado[Interprete]";
    $ConsultaAccion="INSERT INTO controlusuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (
                     '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','videos',$RowInsertado[IdVideo])";
     $Conexion->MEjecutarSQL($ConsultaAccion);
     FMensajeScript($DescripcionAccion,"Videos.php?IdVideo=$RowInsertado[IdVideo]&IdCanto=$IdCanto");
     exit();
}

if ($Accion=='Actualizar'){
   
   	$Consulta="Update videos Set IdCanto = $IdCanto,Interprete ='$Interprete', Link = '$Link',Comentario = '$Comentario', Servidor = '$Servidor' WHERE IdVideo=$IdVideo";									
   $Conexion->MEjecutarSQL($Consulta);
   

    ///Consulta para Obtener Id de los datos almacenados
    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM cantos WHERE IdCanto=$IdCanto");
	$DescripcionAccion="ACTUALIZÓ VIDEO INTERPRETADO POR : $RowInsertado[Interprete]";
    $ConsultaAccion="INSERT INTO controlusuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values(
                     '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','videos',$RowInsertado[IdVideo])";
     $Conexion->MEjecutarSQL($ConsultaAccion);
     FMensajeScript($DescripcionAccion,"Videos.php?IdVideo=$RowInsertado[IdVideo]&IdCanto=$IdCanto");
	//echo $Consulta;
	 //echo mysql_errno($Consulta) . ": " . mysqli_error($Consulta) . "\n";
     exit();
}

if ($Accion=='Eliminar'){
    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM videos WHERE IdVideo='$IdVideo'");
    $Consulta="DELETE FROM videos WHERE IdVideo='$IdVideo'";
    $Conexion->MEjecutarSQL($Consulta);

    ///Consulta para Obtener Id de los datos almacenados
	$DescripcionAccion="ELIMINÓ VIDEO INTERPRETADO POR : $RowInsertado[Interprete]";
    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (
                    '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','cantos',$RowInsertado[IdVideo])";
     $Conexion->MEjecutarSQL($ConsultaAccion);
     FMensajeScript($DescripcionAccion,"Videos.php");
     exit();
}
?>
